.TH "siggen::ThreadManagerSingle" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::ThreadManagerSingle \- single-thread signature generator  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <ThreadManagerSingle\&.h>\fP
.PP
Inherits \fBsiggen::ThreadManager\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBThreadManagerSingle\fP (\fBData\fP &&data)"
.br
.ti -1c
.RI "virtual void \fBProcessToBuffer\fP (std::vector< char > &result) override"
.br
.RI "calculates block-wise signature of input file and writes result to buffer "
.in -1c
.SS "Additional Inherited Members"
.SH "Detailed Description"
.PP 
single-thread signature generator 
.PP
Definition at line 9 of file ThreadManagerSingle\&.h\&.
.SH "Member Function Documentation"
.PP 
.SS "void siggen::ThreadManagerSingle::ProcessToBuffer (std::vector< char > & result)\fC [override]\fP, \fC [virtual]\fP"

.PP
calculates block-wise signature of input file and writes result to buffer This is a single threaded operation\&. 
.PP
Implements \fBsiggen::ThreadManager\fP\&.
.PP
Definition at line 11 of file ThreadManagerSingle\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
